﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace WpfGantChartApp.Converters
{
    [ValueConversion(typeof(DateTime), typeof(DateTime?))]
    class DateTimeNullableConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter,
                      CultureInfo culture)
        {
            // TODO something like:
            if (value == null)
            {
                value = DateTime.Now;
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter,
                          System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }

}
